> ## Documentation Index
> Fetch the complete documentation index at: https://tbd-6fc993ce-add-json-output-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream process stdout via SSE



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/kernel/openapi.documented.yml get /browsers/{id}/process/{process_id}/stdout/stream
openapi: 3.1.0
info:
  title: Kernel API
  description: Developer tools and cloud infrastructure for AI agents to use web browsers
  version: 0.1.0
servers:
  - url: https://api.onkernel.com
    description: API Server
security:
  - bearerAuth: []
tags:
  - name: Invocations
    description: Invoke actions and stream or query invocation status and events.
  - name: Browsers
    description: >-
      Create and manage browser sessions, filesystem, processes, logs, and
      replays.
  - name: Proxies
    description: Create and manage proxy configurations for routing browser traffic.
  - name: Deployments
    description: Create and manage app deployments and stream deployment events.
  - name: Apps
    description: List applications and versions.
  - name: Profiles
    description: Create, list, retrieve, and delete browser profiles.
  - name: Extensions
    description: Create, list, retrieve, and delete browser extensions.
  - name: Browser Pools
    description: Create and manage browser pools for acquiring and releasing browsers.
  - name: Agent Auth
    description: Agent authentication flow endpoints for hosted credential capture.
paths:
  /browsers/{id}/process/{process_id}/stdout/stream:
    get:
      tags:
        - Browsers
      summary: Stream process stdout via SSE
      operationId: processStdoutStream
      parameters:
        - name: id
          in: path
          required: true
          description: Browser session ID
          schema:
            type: string
        - name: process_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: SSE stream of process output and lifecycle events
          headers:
            X-SSE-Content-Type:
              description: Media type of SSE data events (application/json)
              schema:
                type: string
                const: application/json
          content:
            text/event-stream:
              schema:
                $ref: '#/components/schemas/ProcessStreamEvent'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Kernel from '@onkernel/sdk';

            const client = new Kernel({
              apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.browsers.process.stdoutStream(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              { id: 'id' },
            );

            console.log(response.data_b64);
        - lang: Python
          source: |-
            import os
            from kernel import Kernel

            client = Kernel(
                api_key=os.environ.get("KERNEL_API_KEY"),  # This is the default and can be omitted
            )
            response = client.browsers.process.stdout_stream(
                process_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                id="id",
            )
            print(response.data_b64)
        - lang: Go
          source: |
            package main

            import (
              "context"
              "fmt"

              "github.com/kernel/kernel-go-sdk"
              "github.com/kernel/kernel-go-sdk/option"
            )

            func main() {
              client := kernel.NewClient(
                option.WithAPIKey("My API Key"),
              )
              stream := client.Browsers.Process.StdoutStreamStreaming(
                context.TODO(),
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                kernel.BrowserProcessStdoutStreamParams{
                  ID: "id",
                },
              )
              if stream.Err() != nil {
                panic(err.Error())
              }
              fmt.Printf("%+v\n", response.DataB64)
            }
components:
  schemas:
    ProcessStreamEvent:
      type: object
      description: SSE payload representing process output or lifecycle events.
      properties:
        stream:
          type: string
          description: Source stream of the data chunk.
          enum:
            - stdout
            - stderr
        data_b64:
          type: string
          description: Base64-encoded data from the process stream.
        event:
          type: string
          description: Lifecycle event type.
          enum:
            - exit
        exit_code:
          type: integer
          description: Exit code when the event is "exit".
      additionalProperties: false
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Application-specific error code (machine-readable)
          example: bad_request
        message:
          type: string
          description: Human-readable error description for debugging
          example: 'Missing required field: app_name'
        details:
          type: array
          description: Additional error details (for multiple errors)
          items:
            $ref: '#/components/schemas/ErrorDetail'
        inner_error:
          $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      properties:
        code:
          type: string
          description: Lower-level error code providing more specific detail
          example: invalid_input
        message:
          type: string
          description: Further detail about the error
          example: Provided version string is not semver compliant
  responses:
    BadRequest:
      description: Bad Request – invalid input
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````